﻿# Script name : M42UEM_Publish_Workflow.ps1
# Created on  : 03.07.2018
# Created by  : Gregor Daum (Matrix42 AG 2018)
# Last change : 06.07.2018

# Get installation path
$installPath = (Get-ItemProperty -Path HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\Matrix42\).InstallLocation

# Add Module Matrix42 Maintenance
Import-Module "$installPath\bin\Matrix42.Maintenance.Cmdlets.dll" -Force -ErrorAction Stop

# Create credentials
$Password    = ConvertTo-SecureString "Matrix42!" -AsPlainText -Force
$Creds       = New-Object System.Management.Automation.PSCredential ("iv\m42admin", $Password)
$Credentials = Get-Credential -Message 'Please provide Service Account credentials'

# Publish workflow
New-WmUpdateSession -Credentials $Creds -InstallDir "$installPath"
Publish-WMWorkflow "5AA0F68C-708C-CBD4-F36A-08D21291DF7D"